{ config, lib, pkgs, ... }:

{
 # ZFS automatic backup solution
  services.znapzend = {
    enable = true;
    autoCreation = true;
    features = {
      compressed = true;
      recvu = true;
    };
    zetup = {
      "syscea/state/root" = {
        plan = "1d=>1h,1m=>1d,1y=>1m";
        recursive = true;
        mbuffer = true;
        destinations.remote = {
          host = "coolneng@zion";
          dataset = "syscea/root";
        };
      }; 
      "syscea/state/home" = {
        plan = "1d=>1h,1m=>1d,1y=>1m";
        recursive = true;
        mbuffer = true;
        destinations.remote = {
          host = "coolneng@zion";
          dataset = "syscea/home";
        };
      }; 
    };
  };
}
