{ config, lib, pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    # Development
    git direnv lorri
    # Monitoring
    htop
    # Text editors
    neovim emacs
    # Terminals
    kitty tmux tmuxp
    # Password management
    pass-wayland passff-host gitAndTools.pass-git-helper
    # Browsers
    firefox chromium
    # LaTeX
    texlive.combind.scheme-full pandoc pandoc-citeproc
  ];

  # Fonts declaration
  fonts = {
    fonts = with pkgs; [
      google-fonts
      siji
      cherry
      iosevka
      emacs.all-the-icons-fonts
    ];
  };

}
